﻿@font-face {
    font-family: 'Impact';
    src: url('../fonts/IMPACT.TTF');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Script MT';
    src: url('../fonts/SCRIPTBL.TTF');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Calibri';
    src: url('../fonts/CALIBRI.TTF');
    font-weight: normal;
    font-style: normal;
}

/* Master Styles */

html {
    height: 100%;
}

body {
    margin: 0px;
}

.container {
    display: grid;
    grid-template-columns: 1fr;
}


/* Navigation Styles */

.nav-bar {
    display: flex;
    justify-content: space-between;
    padding: 30px;
    border: 6px inset rgba(140,0,0,0.95);
    border-radius: 10px;
}

.nav-left {
    display: flex;
}

.nav-bar > .nav-left > div {
    margin-right: 20px;
    font-size: 0.9em;
    font-weight: 600;
    text-transform: uppercase;
}

.nav-link {
    height: 22px;
    border-bottom: 1px solid transparent;
    transition: border-bottom 0.5s;
}

.nav-link a {
    color: #8a8a8a;
    text-decoration: none;
    transition: color 0.5s;
}

.nav-link:hover {
    border-bottom: 1px solid black;
}

.nav-link a:hover {
    color: black;
}

.nav-brand{
    font-family : 'Script MT';
    font-size: 1.5em;
}

/* Main Site Styles */

.content-wrapper {
    border-left: 6px inset rgba(140,0,0,0.95);
    border-right: 6px inset rgba(140,0,0,0.95);
    border-bottom: 6px inset rgba(140,0,0,0.95);
    border-radius: 10px;
}

.content-images {
    display: grid;
    grid-template-columns: 1fr;
}

.content-image {
    position: relative;
}

.content-image-background {
    height: 750px;
    width: 100%;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.content-image-photo {
    position: absolute;
    top: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 28%;
    text-align: center;
    padding-top: 20px;
    padding-bottom: 50px;
    margin-bottom: 20px;
}

/* About Page Styles */

.about-content {
    border-left: 6px inset rgba(140,0,0,0.95);
    border-right: 6px inset rgba(140,0,0,0.95);
    border-bottom: 6px inset rgba(140,0,0,0.95);
    border-radius: 10px;
    display: flex;
    padding-left: 5px;
    padding-top: 10px;
}

.about-leftframe{
}

.about-rightframe{
    padding-left:20px;
    padding-right:20px;
    font-family: 'Trebuchet MS';
    font-size: 1em;
}

.about-rightframe-heading{
    font-family: 'Impact';
    font-size:2em;
    text-align: center;
}

.about-rightframe-text{
    font-family: 'Calibri';
    font-size: 1em;
}

/* Photos Page Styles */

.photos-content-wrapper {
    height: 86.5vh;
    border-left: 6px inset rgba(140,0,0,0.95);
    border-right: 6px inset rgba(140,0,0,0.95);
    border-bottom: 6px inset rgba(140,0,0,0.95);
    border-radius: 10px;
    overflow: hidden;
    background: #959595; /* Old browsers */
    background: -moz-radial-gradient(center, ellipse cover, #959595 0%, #0d0d0d 46%, #010101 50%, #0a0a0a 53%, #4e4e4e 76%, #383838 87%, #1b1b1b 100%); /* FF3.6-15 */
    background: -webkit-radial-gradient(center, ellipse cover, #959595 0%,#0d0d0d 46%,#010101 50%,#0a0a0a 53%,#4e4e4e 76%,#383838 87%,#1b1b1b 100%); /* Chrome10-25,Safari5.1-6 */
    background: radial-gradient(ellipse at center, #959595 0%,#0d0d0d 46%,#010101 50%,#0a0a0a 53%,#4e4e4e 76%,#383838 87%,#1b1b1b 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
}

.photos-content-wrapper .carousel {
    position:relative;
    width: 300px;
    margin: 5px auto 0;
    overflow: visible;
}

.carousel img {
    -webkit-box-reflect: below 15px linear-gradient(rgba(255,255,255,0.1), rgba(255,255,255,0.3));
}


